Bug 68436 - 6 layout tests known to fail on Mac10.6 with CPU-Skia graphics
Summary: 6 layout tests known to fail on Mac10.6 with CPU-Skia graphics
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Mac Unspecified
: P2 Normal
Assignee: Elliot Poger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-20 07:08 PDT by epoger
Modified: 2012-05-17 19:44 PDT (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description epoger 2011-09-20 07:08:28 PDT
// Tests that are known to fail on Mac10.6 with CPU-Skia graphics.
BUGEPOGER SNOWLEOPARD CPU : svg/W3C-SVG-1.1/paths-data-12-t.svg = IMAGE+TEXT
BUGEPOGER SNOWLEOPARD CPU : svg/hixie/perf/001.xml = IMAGE+TEXT
BUGEPOGER SNOWLEOPARD CPU : svg/hixie/perf/002.xml = IMAGE+TEXT
BUGEPOGER SNOWLEOPARD CPU : fast/repaint/text-emphasis-h.html = IMAGE
BUGEPOGER SNOWLEOPARD CPU : fast/events/constructors/progress-event-constructor.html = TEXT
BUGEPOGER SNOWLEOPARD CPU : fast/js/string-split-conformance.html = TEXT   (for both Skia and CG)
Comment 1 Stephen Chenney 2012-04-06 12:28:59 PDT
Committed r113479: <http://trac.webkit.org/changeset/113479>
Comment 2 Stephen Chenney 2012-04-06 12:30:03 PDT
Down to

BUGWK68436 SNOWLEOPARD DEBUG : fast/repaint/background-clip-text.html = TIMEOUT
BUGWK68436 SNOWLEOPARD : fast/repaint/text-emphasis-h.html = TIMEOUT IMAGE

The results for fast/repaint/text-emphasis-h.html are very different from the mac results.
Comment 3 Peter Kasting 2012-05-17 19:44:39 PDT
I think text-emphasis-h.html is actually covered by http://crbug.com/67540 .

There are no remaining failures here beyond that.  Removed the last expectation in r117530.